<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 * 
 */

function optionsframework_option_name() {

	// This gets the theme name from the stylesheet (lowercase and without spaces)
	$themename = get_theme_data(STYLESHEETPATH . '/style.css');
	$themename = $themename['Name'];
	$themename = preg_replace("/\W/", "", strtolower($themename) );
	
	$optionsframework_settings = get_option('optionsframework');
	$optionsframework_settings['id'] = $themename;
	update_option('optionsframework', $optionsframework_settings);
	
	// echo $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the "id" fields, make sure to use all lowercase and no spaces.
 *  
 */

 
//Momizat fonts begain

function options_typography_get_google_fonts() {
	// Google Font Defaults
$google_faces = array(
	''     => 'Font...',
	'arial'     => 'Arial',
	'verdana'   => 'Verdana, Geneva',
	'trebuchet' => 'Trebuchet',
	'georgia'   => 'Georgia',
	'times'     => 'Times New Roman',
	'tahoma'    => 'Tahoma, Geneva',
	'helvetica' => 'Helvetica*',
	"Abel" => "Abel",
	"Abril Fatface" => "Abril Fatface",
	"Aclonica" => "Aclonica",
	"Acme" => "Acme",
	"Actor" => "Actor",
	"Adamina" => "Adamina",
	"Advent Pro" => "Advent Pro",
	"Aguafina Script" => "Aguafina Script",
	"Aladin" => "Aladin",
	"Aldrich" => "Aldrich",
	"Alegreya" => "Alegreya",
	"Alegreya SC" => "Alegreya SC",
	"Alex Brush" => "Alex Brush",
	"Alfa Slab One" => "Alfa Slab One",
	"Alice" => "Alice",
	"Alike" => "Alike",
	"Alike Angular" => "Alike Angular",
	"Allan" => "Allan",
	"Allerta" => "Allerta",
	"Allerta Stencil" => "Allerta Stencil",
	"Allura" => "Allura",
	"Almendra" => "Almendra",
	"Almendra SC" => "Almendra SC",
	"Amarante" => "Amarante",
	"Amaranth" => "Amaranth",
	"Amatic SC" => "Amatic SC",
	"Amethysta" => "Amethysta",
	"Andada" => "Andada",
	"Andika" => "Andika",
	"Angkor" => "Angkor",
	"Annie Use Your Telescope" => "Annie Use Your Telescope",
	"Anonymous Pro" => "Anonymous Pro",
	"Antic" => "Antic",
	"Antic Didone" => "Antic Didone",
	"Antic Slab" => "Antic Slab",
	"Anton" => "Anton",
	"Arapey" => "Arapey",
	"Arbutus" => "Arbutus",
	"Architects Daughter" => "Architects Daughter",
	"Arimo" => "Arimo",
	"Arizonia" => "Arizonia",
	"Armata" => "Armata",
	"Artifika" => "Artifika",
	"Arvo" => "Arvo",
	"Asap" => "Asap",
	"Asset" => "Asset",
	"Astloch" => "Astloch",
	"Asul" => "Asul",
	"Atomic Age" => "Atomic Age",
	"Aubrey" => "Aubrey",
	"Audiowide" => "Audiowide",
	"Average" => "Average",
	"Averia Gruesa Libre" => "Averia Gruesa Libre",
	"Averia Libre" => "Averia Libre",
	"Averia Sans Libre" => "Averia Sans Libre",
	"Averia Serif Libre" => "Averia Serif Libre",
	"Bad Script" => "Bad Script",
	"Balthazar" => "Balthazar",
	"Bangers" => "Bangers",
	"Basic" => "Basic",
	"Battambang" => "Battambang",
	"Baumans" => "Baumans",
	"Bayon" => "Bayon",
	"Belgrano" => "Belgrano",
	"Belleza" => "Belleza",
	"Bentham" => "Bentham",
	"Berkshire Swash" => "Berkshire Swash",
	"Bevan" => "Bevan",
	"Bigshot One" => "Bigshot One",
	"Bilbo" => "Bilbo",
	"Bilbo Swash Caps" => "Bilbo Swash Caps",
	"Bitter" => "Bitter",
	"Black Ops One" => "Black Ops One",
	"Bokor" => "Bokor",
	"Bonbon" => "Bonbon",
	"Boogaloo" => "Boogaloo",
	"Bowlby One" => "Bowlby One",
	"Bowlby One SC" => "Bowlby One SC",
	"Brawler" => "Brawler",
	"Bree Serif" => "Bree Serif",
	"Bubblegum Sans" => "Bubblegum Sans",
	"Bubbler One" => "Bubbler One",
	"Buda" => "Buda",
	"Buenard" => "Buenard",
	"Butcherman" => "Butcherman",
	"Butterfly Kids" => "Butterfly Kids",
	"Cabin" => "Cabin",
	"Cabin Condensed" => "Cabin Condensed",
	"Cabin Sketch" => "Cabin Sketch",
	"Caesar Dressing" => "Caesar Dressing",
	"Cagliostro" => "Cagliostro",
	"Calligraffitti" => "Calligraffitti",
	"Cambo" => "Cambo",
	"Candal" => "Candal",
	"Cantarell" => "Cantarell",
	"Cantata One" => "Cantata One",
	"Cantora One" => "Cantora One",
	"Capriola" => "Capriola",
	"Cardo" => "Cardo",
	"Carme" => "Carme",
	"Carter One" => "Carter One",
	"Caudex" => "Caudex",
	"Cedarville Cursive" => "Cedarville Cursive",
	"Ceviche One" => "Ceviche One",
	"Changa One" => "Changa One",
	"Chango" => "Chango",
	"Chau Philomene One" => "Chau Philomene One",
	"Chelsea Market" => "Chelsea Market",
	"Chenla" => "Chenla",
	"Cherry Cream Soda" => "Cherry Cream Soda",
	"Chewy" => "Chewy",
	"Chicle" => "Chicle",
	"Chivo" => "Chivo",
	"Coda" => "Coda",
	"Coda Caption" => "Coda Caption",
	"Codystar" => "Codystar",
	"Comfortaa" => "Comfortaa",
	"Coming Soon" => "Coming Soon",
	"Concert One" => "Concert One",
	"Condiment" => "Condiment",
	"Content" => "Content",
	"Contrail One" => "Contrail One",
	"Convergence" => "Convergence",
	"Cookie" => "Cookie",
	"Copse" => "Copse",
	"Corben" => "Corben",
	"Courgette" => "Courgette",
	"Cousine" => "Cousine",
	"Coustard" => "Coustard",
	"Covered By Your Grace" => "Covered By Your Grace",
	"Crafty Girls" => "Crafty Girls",
	"Creepster" => "Creepster",
	"Crete Round" => "Crete Round",
	"Crimson Text" => "Crimson Text",
	"Crushed" => "Crushed",
	"Cuprum" => "Cuprum",
	"Cutive" => "Cutive",
	"Damion" => "Damion",
	"Dancing Script" => "Dancing Script",
	"Dangrek" => "Dangrek",
	"Dawning of a New Day" => "Dawning of a New Day",
	"Days One" => "Days One",
	"Delius" => "Delius",
	"Delius Swash Caps" => "Delius Swash Caps",
	"Delius Unicase" => "Delius Unicase",
	"Della Respira" => "Della Respira",
	"Devonshire" => "Devonshire",
	"Didact Gothic" => "Didact Gothic",
	"Diplomata" => "Diplomata",
	"Diplomata SC" => "Diplomata SC",
	"Doppio One" => "Doppio One",
	"Dorsa" => "Dorsa",
	"Dosis" => "Dosis",
	"Dr Sugiyama" => "Dr Sugiyama",
	"Droid Sans" => "Droid Sans",
	"Droid Sans Mono" => "Droid Sans Mono",
	"Droid Serif" => "Droid Serif",
	"Duru Sans" => "Duru Sans",
	"Dynalight" => "Dynalight",
	"EB Garamond" => "EB Garamond",
	"Eagle Lake" => "Eagle Lake",
	"Eater" => "Eater",
	"Economica" => "Economica",
	"Electrolize" => "Electrolize",
	"Emblema One" => "Emblema One",
	"Emilys Candy" => "Emilys Candy",
	"Engagement" => "Engagement",
	"Enriqueta" => "Enriqueta",
	"Erica One" => "Erica One",
	"Esteban" => "Esteban",
	"Euphoria Script" => "Euphoria Script",
	"Ewert" => "Ewert",
	"Exo" => "Exo",
	"Expletus Sans" => "Expletus Sans",
	"Fanwood Text" => "Fanwood Text",
	"Fascinate" => "Fascinate",
	"Fascinate Inline" => "Fascinate Inline",
	"Fasthand" => "Fasthand",
	"Federant" => "Federant",
	"Federo" => "Federo",
	"Felipa" => "Felipa",
	"Fjord One" => "Fjord One",
	"Flamenco" => "Flamenco",
	"Flavors" => "Flavors",
	"Fondamento" => "Fondamento",
	"Fontdiner Swanky" => "Fontdiner Swanky",
	"Forum" => "Forum",
	"Francois One" => "Francois One",
	"Fredericka the Great" => "Fredericka the Great",
	"Fredoka One" => "Fredoka One",
	"Freehand" => "Freehand",
	"Fresca" => "Fresca",
	"Frijole" => "Frijole",
	"Fugaz One" => "Fugaz One",
	"GFS Didot" => "GFS Didot",
	"GFS Neohellenic" => "GFS Neohellenic",
	"Galdeano" => "Galdeano",
	"Galindo" => "Galindo",
	"Gentium Basic" => "Gentium Basic",
	"Gentium Book Basic" => "Gentium Book Basic",
	"Geo" => "Geo",
	"Geostar" => "Geostar",
	"Geostar Fill" => "Geostar Fill",
	"Germania One" => "Germania One",
	"Give You Glory" => "Give You Glory",
	"Glass Antiqua" => "Glass Antiqua",
	"Glegoo" => "Glegoo",
	"Gloria Hallelujah" => "Gloria Hallelujah",
	"Goblin One" => "Goblin One",
	"Gochi Hand" => "Gochi Hand",
	"Gorditas" => "Gorditas",
	"Goudy Bookletter 1911" => "Goudy Bookletter 1911",
	"Graduate" => "Graduate",
	"Gravitas One" => "Gravitas One",
	"Great Vibes" => "Great Vibes",
	"Griffy" => "Griffy",
	"Gruppo" => "Gruppo",
	"Gudea" => "Gudea",
	"Habibi" => "Habibi",
	"Hammersmith One" => "Hammersmith One",
	"Handlee" => "Handlee",
	"Hanuman" => "Hanuman",
	"Happy Monkey" => "Happy Monkey",
	"Headland One" => "Headland One",
	"Henny Penny" => "Henny Penny",
	"Herr Von Muellerhoff" => "Herr Von Muellerhoff",
	"Holtwood One SC" => "Holtwood One SC",
	"Homemade Apple" => "Homemade Apple",
	"Homenaje" => "Homenaje",
	"IM Fell DW Pica" => "IM Fell DW Pica",
	"IM Fell DW Pica SC" => "IM Fell DW Pica SC",
	"IM Fell Double Pica" => "IM Fell Double Pica",
	"IM Fell Double Pica SC" => "IM Fell Double Pica SC",
	"IM Fell English" => "IM Fell English",
	"IM Fell English SC" => "IM Fell English SC",
	"IM Fell French Canon" => "IM Fell French Canon",
	"IM Fell French Canon SC" => "IM Fell French Canon SC",
	"IM Fell Great Primer" => "IM Fell Great Primer",
	"IM Fell Great Primer SC" => "IM Fell Great Primer SC",
	"Iceberg" => "Iceberg",
	"Iceland" => "Iceland",
	"Imprima" => "Imprima",
	"Inconsolata" => "Inconsolata",
	"Inder" => "Inder",
	"Indie Flower" => "Indie Flower",
	"Inika" => "Inika",
	"Irish Grover" => "Irish Grover",
	"Istok Web" => "Istok Web",
	"Italiana" => "Italiana",
	"Italianno" => "Italianno",
	"Jacques Francois" => "Jacques Francois",
	"Jacques Francois Shadow" => "Jacques Francois Shadow",
	"Jim Nightshade" => "Jim Nightshade",
	"Jockey One" => "Jockey One",
	"Jolly Lodger" => "Jolly Lodger",
	"Josefin Sans" => "Josefin Sans",
	"Josefin Slab" => "Josefin Slab",
	"Judson" => "Judson",
	"Julee" => "Julee",
	"Junge" => "Junge",
	"Jura" => "Jura",
	"Just Another Hand" => "Just Another Hand",
	"Just Me Again Down Here" => "Just Me Again Down Here",
	"Kameron" => "Kameron",
	"Karla" => "Karla",
	"Kaushan Script" => "Kaushan Script",
	"Kelly Slab" => "Kelly Slab",
	"Kenia" => "Kenia",
	"Khmer" => "Khmer",
	"Knewave" => "Knewave",
	"Kotta One" => "Kotta One",
	"Koulen" => "Koulen",
	"Kranky" => "Kranky",
	"Kreon" => "Kreon",
	"Kristi" => "Kristi",
	"Krona One" => "Krona One",
	"La Belle Aurore" => "La Belle Aurore",
	"Lancelot" => "Lancelot",
	"Lato" => "Lato",
	"League Script" => "League Script",
	"Leckerli One" => "Leckerli One",
	"Ledger" => "Ledger",
	"Lekton" => "Lekton",
	"Lemon" => "Lemon",
	"Life Savers" => "Life Savers",
	"Lilita One" => "Lilita One",
	"Limelight" => "Limelight",
	"Linden Hill" => "Linden Hill",
	"Lobster" => "Lobster",
	"Lobster Two" => "Lobster Two",
	"Londrina Outline" => "Londrina Outline",
	"Londrina Shadow" => "Londrina Shadow",
	"Londrina Sketch" => "Londrina Sketch",
	"Londrina Solid" => "Londrina Solid",
	"Lora" => "Lora",
	"Love Ya Like A Sister" => "Love Ya Like A Sister",
	"Loved by the King" => "Loved by the King",
	"Lovers Quarrel" => "Lovers Quarrel",
	"Luckiest Guy" => "Luckiest Guy",
	"Lusitana" => "Lusitana",
	"Lustria" => "Lustria",
	"Macondo" => "Macondo",
	"Macondo Swash Caps" => "Macondo Swash Caps",
	"Magra" => "Magra",
	"Maiden Orange" => "Maiden Orange",
	"Mako" => "Mako",
	"Marck Script" => "Marck Script",
	"Marko One" => "Marko One",
	"Marmelad" => "Marmelad",
	"Marvel" => "Marvel",
	"Mate" => "Mate",
	"Mate SC" => "Mate SC",
	"Maven Pro" => "Maven Pro",
	"McLaren" => "McLaren",
	"Meddon" => "Meddon",
	"MedievalSharp" => "MedievalSharp",
	"Medula One" => "Medula One",
	"Megrim" => "Megrim",
	"Meie Script" => "Meie Script",
	"Merienda One" => "Merienda One",
	"Merriweather" => "Merriweather",
	"Metal" => "Metal",
	"Metal Mania" => "Metal Mania",
	"Metamorphous" => "Metamorphous",
	"Metrophobic" => "Metrophobic",
	"Michroma" => "Michroma",
	"Miltonian" => "Miltonian",
	"Miltonian Tattoo" => "Miltonian Tattoo",
	"Miniver" => "Miniver",
	"Miss Fajardose" => "Miss Fajardose",
	"Modern Antiqua" => "Modern Antiqua",
	"Molengo" => "Molengo",
	"Monofett" => "Monofett",
	"Monoton" => "Monoton",
	"Monsieur La Doulaise" => "Monsieur La Doulaise",
	"Montaga" => "Montaga",
	"Montez" => "Montez",
	"Montserrat" => "Montserrat",
	"Moul" => "Moul",
	"Moulpali" => "Moulpali",
	"Mountains of Christmas" => "Mountains of Christmas",
	"Mr Bedfort" => "Mr Bedfort",
	"Mr Dafoe" => "Mr Dafoe",
	"Mr De Haviland" => "Mr De Haviland",
	"Mrs Saint Delafield" => "Mrs Saint Delafield",
	"Mrs Sheppards" => "Mrs Sheppards",
	"Muli" => "Muli",
	"Mystery Quest" => "Mystery Quest",
	"Neucha" => "Neucha",
	"Neuton" => "Neuton",
	"News Cycle" => "News Cycle",
	"Niconne" => "Niconne",
	"Nixie One" => "Nixie One",
	"Nobile" => "Nobile",
	"Nokora" => "Nokora",
	"Norican" => "Norican",
	"Nosifer" => "Nosifer",
	"Nothing You Could Do" => "Nothing You Could Do",
	"Noticia Text" => "Noticia Text",
	"Nova Cut" => "Nova Cut",
	"Nova Flat" => "Nova Flat",
	"Nova Mono" => "Nova Mono",
	"Nova Oval" => "Nova Oval",
	"Nova Round" => "Nova Round",
	"Nova Script" => "Nova Script",
	"Nova Slim" => "Nova Slim",
	"Nova Square" => "Nova Square",
	"Numans" => "Numans",
	"Nunito" => "Nunito",
	"Odor Mean Chey" => "Odor Mean Chey",
	"Old Standard TT" => "Old Standard TT",
	"Oldenburg" => "Oldenburg",
	"Oleo Script" => "Oleo Script",
	"Open Sans" => "Open Sans",
	"Open Sans Condensed" => "Open Sans Condensed",
	"Oranienbaum" => "Oranienbaum",
	"Orbitron" => "Orbitron",
	"Oregano" => "Oregano",
	"Orienta" => "Orienta",
	"Original Surfer" => "Original Surfer",
	"Oswald" => "Oswald",
	"Over the Rainbow" => "Over the Rainbow",
	"Overlock" => "Overlock",
	"Overlock SC" => "Overlock SC",
	"Ovo" => "Ovo",
	"Oxygen" => "Oxygen",
	"Oxygen Mono" => "Oxygen Mono",
	"PT Mono" => "PT Mono",
	"PT Sans" => "PT Sans",
	"PT Sans Caption" => "PT Sans Caption",
	"PT Sans Narrow" => "PT Sans Narrow",
	"PT Serif" => "PT Serif",
	"PT Serif Caption" => "PT Serif Caption",
	"Pacifico" => "Pacifico",
	"Parisienne" => "Parisienne",
	"Passero One" => "Passero One",
	"Passion One" => "Passion One",
	"Patrick Hand" => "Patrick Hand",
	"Patua One" => "Patua One",
	"Paytone One" => "Paytone One",
	"Peralta" => "Peralta",
	"Permanent Marker" => "Permanent Marker",
	"Petit Formal Script" => "Petit Formal Script",
	"Petrona" => "Petrona",
	"Philosopher" => "Philosopher",
	"Piedra" => "Piedra",
	"Pinyon Script" => "Pinyon Script",
	"Plaster" => "Plaster",
	"Play" => "Play",
	"Playball" => "Playball",
	"Playfair Display" => "Playfair Display",
	"Podkova" => "Podkova",
	"Poiret One" => "Poiret One",
	"Poller One" => "Poller One",
	"Poly" => "Poly",
	"Pompiere" => "Pompiere",
	"Pontano Sans" => "Pontano Sans",
	"Port Lligat Sans" => "Port Lligat Sans",
	"Port Lligat Slab" => "Port Lligat Slab",
	"Prata" => "Prata",
	"Preahvihear" => "Preahvihear",
	"Press Start 2P" => "Press Start 2P",
	"Princess Sofia" => "Princess Sofia",
	"Prociono" => "Prociono",
	"Prosto One" => "Prosto One",
	"Puritan" => "Puritan",
	"Quando" => "Quando",
	"Quantico" => "Quantico",
	"Quattrocento" => "Quattrocento",
	"Quattrocento Sans" => "Quattrocento Sans",
	"Questrial" => "Questrial",
	"Quicksand" => "Quicksand",
	"Qwigley" => "Qwigley",
	"Racing Sans One" => "Racing Sans One",
	"Radley" => "Radley",
	"Raleway" => "Raleway",
	"Raleway Dots" => "Raleway Dots",
	"Rammetto One" => "Rammetto One",
	"Ranchers" => "Ranchers",
	"Rancho" => "Rancho",
	"Rationale" => "Rationale",
	"Redressed" => "Redressed",
	"Reenie Beanie" => "Reenie Beanie",
	"Revalia" => "Revalia",
	"Ribeye" => "Ribeye",
	"Ribeye Marrow" => "Ribeye Marrow",
	"Righteous" => "Righteous",
	"Rochester" => "Rochester",
	"Rock Salt" => "Rock Salt",
	"Rokkitt" => "Rokkitt",
	"Romanesco" => "Romanesco",
	"Ropa Sans" => "Ropa Sans",
	"Rosario" => "Rosario",
	"Rosarivo" => "Rosarivo",
	"Rouge Script" => "Rouge Script",
	"Ruda" => "Ruda",
	"Ruge Boogie" => "Ruge Boogie",
	"Ruluko" => "Ruluko",
	"Ruslan Display" => "Ruslan Display",
	"Russo One" => "Russo One",
	"Ruthie" => "Ruthie",
	"Rye" => "Rye",
	"Sail" => "Sail",
	"Salsa" => "Salsa",
	"Sancreek" => "Sancreek",
	"Sansita One" => "Sansita One",
	"Sarina" => "Sarina",
	"Satisfy" => "Satisfy",
	"Schoolbell" => "Schoolbell",
	"Seaweed Script" => "Seaweed Script",
	"Sevillana" => "Sevillana",
	"Shadows Into Light" => "Shadows Into Light",
	"Shadows Into Light Two" => "Shadows Into Light Two",
	"Shanti" => "Shanti",
	"Share" => "Share",
	"Shojumaru" => "Shojumaru",
	"Short Stack" => "Short Stack",
	"Siemreap" => "Siemreap",
	"Sigmar One" => "Sigmar One",
	"Signika" => "Signika",
	"Signika Negative" => "Signika Negative",
	"Simonetta" => "Simonetta",
	"Sirin Stencil" => "Sirin Stencil",
	"Six Caps" => "Six Caps",
	"Skranji" => "Skranji",
	"Slackey" => "Slackey",
	"Smokum" => "Smokum",
	"Smythe" => "Smythe",
	"Sniglet" => "Sniglet",
	"Snippet" => "Snippet",
	"Sofia" => "Sofia",
	"Sonsie One" => "Sonsie One",
	"Sorts Mill Goudy" => "Sorts Mill Goudy",
	"Source Sans Pro" => "Source Sans Pro",
	"Special Elite" => "Special Elite",
	"Spicy Rice" => "Spicy Rice",
	"Spinnaker" => "Spinnaker",
	"Spirax" => "Spirax",
	"Squada One" => "Squada One",
	"Stardos Stencil" => "Stardos Stencil",
	"Stint Ultra Condensed" => "Stint Ultra Condensed",
	"Stint Ultra Expanded" => "Stint Ultra Expanded",
	"Stoke" => "Stoke",
	"Sue Ellen Francisco" => "Sue Ellen Francisco",
	"Sunshiney" => "Sunshiney",
	"Supermercado One" => "Supermercado One",
	"Suwannaphum" => "Suwannaphum",
	"Swanky and Moo Moo" => "Swanky and Moo Moo",
	"Syncopate" => "Syncopate",
	"Tangerine" => "Tangerine",
	"Taprom" => "Taprom",
	"Telex" => "Telex",
	"Tenor Sans" => "Tenor Sans",
	"The Girl Next Door" => "The Girl Next Door",
	"Tienne" => "Tienne",
	"Tinos" => "Tinos",
	"Titan One" => "Titan One",
	"Trade Winds" => "Trade Winds",
	"Trocchi" => "Trocchi",
	"Trochut" => "Trochut",
	"Trykker" => "Trykker",
	"Tulpen One" => "Tulpen One",
	"Ubuntu" => "Ubuntu",
	"Ubuntu Condensed" => "Ubuntu Condensed",
	"Ubuntu Mono" => "Ubuntu Mono",
	"Ultra" => "Ultra",
	"Uncial Antiqua" => "Uncial Antiqua",
	"UnifrakturCook" => "UnifrakturCook",
	"UnifrakturMaguntia" => "UnifrakturMaguntia",
	"Unkempt" => "Unkempt",
	"Unlock" => "Unlock",
	"Unna" => "Unna",
	"VT323" => "VT323",
	"Varela" => "Varela",
	"Varela Round" => "Varela Round",
	"Vast Shadow" => "Vast Shadow",
	"Vibur" => "Vibur",
	"Vidaloka" => "Vidaloka",
	"Viga" => "Viga",
	"Voces" => "Voces",
	"Volkhov" => "Volkhov",
	"Vollkorn" => "Vollkorn",
	"Voltaire" => "Voltaire",
	"Waiting for the Sunrise" => "Waiting for the Sunrise",
	"Wallpoet" => "Wallpoet",
	"Walter Turncoat" => "Walter Turncoat",
	"Warnes" => "Warnes",
	"Wellfleet" => "Wellfleet",
	"Wire One" => "Wire One",
	"Yanone Kaffeesatz" => "Yanone Kaffeesatz",
	"Yellowtail" => "Yellowtail",
	"Yeseva One" => "Yeseva One",
	"Yesteryear" => "Yesteryear",
	"Zeyada" => "Zeyad"

    );
    return $google_faces;
}

//Momizat Fonts End
function optionsframework_options() {
	
	$yesno = array('no' => 'No', 'yes' =>'Yes' );
	$float = array('left' => 'left', 'right' =>'right');
	// Test data
	$test_array = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
	// Multicheck Array
	$multicheck_array = array("one" => "French Toast", "two" => "Pancake", "three" => "Omelette", "four" => "Crepe", "five" => "Waffle");
	// Multicheck Defaults
	$multicheck_defaults = array("one" => "true","five" => "true");
	// Background Defaults
	$bodytypo = array('size' => '12px');
	$background = array('repeat' => 'repeat');
//H typo
$h1 = array('size' => '36px', 'face' =>'' );
$h2 = array('size' => '30px', 'face' =>'' );
$h3 = array('size' => '24px', 'face' =>'' );
$h4 = array('size' => '18px', 'face' =>'' );
$h5 = array('size' => '14px', 'face' =>'' );
$h6 = array('size' => '12px', 'face' =>'' );

//nivo slider
	$nivo_effects = array('random' => 'random', 'sliceDown' => 'sliceDown', 'sliceDownLeft' => 'sliceDownLeft', 'sliceUp' => 'sliceUp', 'sliceUpLeft' => 'sliceUpLeft','sliceUpDown' => 'sliceUpDown', 'sliceUpDownLeft' => 'sliceUpDownLeft', 'fold' => 'fold', 'fade' => 'fade', 'random' => 'random', 
	 'slideInRight' => 'slideInRight', 'slideInLeft' => 'slideInLeft', 'boxRandom' => 'boxRandom', 'boxRain' => 'boxRain', 
	 'boxRainReverse' => 'boxRainReverse', 'boxRainGrow' => 'boxRainGrow', 'boxRainGrowReverse' => 'boxRainGrowReverse', );

//cycle Slider
	$cycle_effects = array('blindX' => 'blindX', 'blindY' => 'blindY', 'blindZ' => 'blindZ', 'cover' => 'cover', 'curtainX' => 'curtainX','curtainY' => 'curtainY', 'fade' => 'fade', 'fadeZoom' => 'fadeZoom', 'growX' => 'growX', 'growY' => 'growY', 
	 'none' => 'none', 'scrollUp' => 'scrollUp', 'scrollDown' => 'scrollDown', 'scrollLeft' => 'scrollLeft', 
	 'scrollRight' => 'scrollRight', 'scrollHorz' => 'scrollHorz', 'scrollVert' => 'scrollVert',
	'shuffle' => 'shuffle', 'slideX' => 'slideX', 'slideY' => 'slideY', 'toss' => 'toss', 
	 'turnUp' => 'turnUp', 'turnDown' => 'turnDown', 'turnLeft' => 'turnLeft', 'turnRight' => 'turnRight', 'uncover' => 'uncover', 'wipe' => 'wipe', 'zoom' => 	'zoom');

	// Pull all the categories into an array
	$options_categories = array();  
	$options_categories_obj = get_categories('hide_empty=0');
	foreach ($options_categories_obj as $category) {
    	$options_categories[$category->cat_ID] = $category->cat_name;
	}

	// Pull all the categories into an array
	$options_tags = array();  
	$options_tags_obj = get_tags();
	foreach ($options_tags_obj as $tag) {
    	$options_tags[$tag->tag_ID] = $tag->tag_name;
	}
		
	// Pull all the pages into an array
	$options_pages = array();  
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages['false'] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
    	$options_pages[$page->ID] = $page->post_title;
	}
		
	//apps category
	$res_categories = array();  
	$res_categories_obj = get_categories('taxonomy=residences_categories&hide_empty=0');
	foreach ($res_categories_obj as $rescategory) {
    	$res_categories[$rescategory->cat_ID] = $rescategory->cat_name;
	}

	// If using image radio buttons, define a directory path
	$imagepath =  get_stylesheet_directory_uri() . '/framework/admin/images/';
	$srcpath =  get_stylesheet_directory_uri() . '/framework/src/';


		
	$options = array();

// General Setting 
		$options[] = array( "name" => __('general Settings', 'framework'),
						"type" => "heading",
						"slug" => "general"
						);
	

		$options[] = array( "name" => __('Theme Layout', 'theme'),
						"desc" => __('Select theme layout full-width or fixed width', 'theme'),
						"id" => "theme_layout",
						"std" => "fulid",
						"type" => "images",
						"options" => array(
						'fulid' => $imagepath . '/full.png',
						'fixed' => $imagepath . '/fixed.png',
						));


	$options[] = array( "name" => __('Fixed background', 'framework'),
						"id" => "fixed_bg",
						"desc" => __('optional image, if you upload it, well be a full width background', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

	$options[] = array( "name" => __('Fixed inner background', 'framework'),
						"id" => "fixed_in_bg",
						"desc" => __('the inner area background default is white', 'framework'),
						"type" => "background",
						"class" => "hidden"
						);

	$options[] = array( "name" => __('Date Format', 'framework'),
						"id" => "date_format",
						"desc" => __('Change date format click <a href="http://codex.wordpress.org/Formatting_Date_and_Time">here</a> to see hwo to change it', 'framework'),
						"std" => 'F d, Y',
						"type" => "text",
						);

	$options[] = array( "name" => __('Enable Responsive', 'framework'),
						"id" => "enable_responsive",
						"desc" => __('Enable or disable responsive', 'framework'),
						"std" => true,
						"type" => "checkbox",
						);

	$options[] = array( "name" => __('Article Animated Icons', 'framework'),
						"id" => "ar_ani_icons",
						"desc" => __('Enable or disable Article animated icons', 'framework'),
						"std" => true,
						"type" => "checkbox",
						);

	$options[] = array( "name" => __('Breadcrumb', 'framework'),
						"id" => "breadcrumb",
						"desc" => __('Enable or disable breadcrumb', 'framework'),
						"std" => true,
						"type" => "checkbox",
						);

	$options[] = array( "name" => __('Using Timthumb', 'framework'),
						"id" => "timthumb",
						"desc" => __('if this on this mean you use timthumb script to resize all posts feature images else if it false this mean you use ', 'framework'),
						"std" => false,
						"type" => "checkbox",
						);

	$options[] = array( "name" => __('Scroll to top button', 'framework'),
						"id" => "scroll_top_bt",
						"desc" => __('Enable or disable Scroll to top button', 'framework'),
						"std" => true,
						"type" => "checkbox",
						);

	$options[] = array( "name" => __('Scroll To Top Image', 'framework'),
						"id" => "scroll_top_bt_img",
						"desc" => __('upload custom Scroll to top image', 'framework'),
						"type" => "upload",
						);


	$options[] = array( "name" => __('the logo', 'framework'),
						"id" => "logo_img",
						"desc" => __('upload custom logo', 'framework'),
						"type" => "upload",
						);


		$options[] = array( "name" => __('favicon', 'framework'),
						"desc" => __('upload your favicon', 'framework'),
						"id" => "custom_favicon",
						"type" => "upload",
						);


		$options[] = array( "name" => __('copyrights', 'framework'),
						"desc" => __('footer copyrights text', 'framework'),
						"id" => "copyrights",
						"std" => __('© 2011 Powered By Wordpress, Goodnews Theme By <a href="http://www.momizat.net/">Momizat Team</a>', 'theme'),
						"type" => "textarea"
						);

		$options[] = array( "name" => __('google map', 'framework'),
						"desc" => __('must be on if use google map shortcode', 'framework'),
						"id" => "google_map",
						"std" => 'false',
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Google analytics', 'framework'),
						"desc" => __('google analytics or any Script, it will be add before closing of body tag', 'framework'),
						"id" => "footer_script",
						"type" => "textarea"
						);

// End General

// elements 
		$options[] = array( "name" => __('Elements', 'framework'),
						"type" => "heading",
						"slug" => "elements"
						);


		$options[] = array( "name" => __('Alert Bar', 'framework'),
						"desc" => __('top alert box you can use it for any kind of notification and it fully customizable', 'framework'),
						"type" => "info",
						);

		$options[] = array( "name" => __('Show Alert Bar', 'framework'),
						"id" => "enable_alert",
						"std" => false,
						"desc" => __('turn this on to show alert bar on the top of your web site', 'framework'),
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('hide close button', 'framework'),
						"id" => "hide_alert_close",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Alert Bar Content', 'framework'),
						"id" => "alert_content",
						"desc" => __('You can Add HTMl here', 'framework'),
						"type" => "textarea"
						);

		$options[] = array( "name" => __('News in  Pictures', 'framework'),
						"type" => "info",
						);

		$options[] = array( "name" => __('show News In Pictures', 'framework'),
						"id" => "nip_show",
						"std" => false,
						"type" => "checkbox"
						);

	$options[] = array( "name" => __('Title', 'framework'),
						"id" => "nip_title",
						"type" => "text",
						"std" => __('News In Pictures','framework')
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "nip_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('Category', 'framework'),
						"id" => "nip_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('Tag', 'framework'),
						"id" => "nip_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "nip_posts",
						"std" => "14",
						"step" => "1",
						"min" => "1",
						"max" => "100",
						"suffix" => "posts",
						"type" => "range",
						);

	
						
	$options[] = array( "name" => __('News in  tabs', 'framework'),
						"type" => "info",
						);


	$options[] = array( "name" => __('show News In Pictures', 'framework'),
						"id" => "tabs_show",
						"std" => false,
						"type" => "checkbox"
						);

	$options[] = array( "name" => __('Tabs Position', 'framework'),
						"id" => "tabs_position",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'up' => __('Above News Boxes', 'framework'),
							'un' => __('Under News Boxes', 'framework'),
						)
						);

	$options[] = array( "name" => __('First Tab', 'framework'),
						"type" => "info",
						"class" => "tabs_title min_info"
						);


	$options[] = array( "name" => __('Tab Title', 'framework'),
						"id" => "tab1_title",
						"type" => "text",
						"desc" => __('If empty there is no tab', 'framework'),
						"std" => "Tab Title"
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "tab1_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('First Tab Category', 'framework'),
						"id" => "tab1_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('First Tab Tag', 'framework'),
						"id" => "tab1_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "tab1_posts",
						"std" => "5",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);

						
	$options[] = array( "name" => __('Second Tab', 'framework'),
						"type" => "info",
						"class" => "tabs_title min_info"
						);


	$options[] = array( "name" => __('Tab Title', 'framework'),
						"id" => "tab2_title",
						"type" => "text",
						"desc" => __('If empty there is no tab', 'framework'),
						"std" => "Tab Title"
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "tab2_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('Second Tab Category', 'framework'),
						"id" => "tab2_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('Second Tab Tag', 'framework'),
						"id" => "tab2_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "tab2_posts",
						"std" => "5",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);

	$options[] = array( "name" => __('Third Tab', 'framework'),
						"type" => "info",
						"class" => "tabs_title min_info"
						);


	$options[] = array( "name" => __('Tab Title', 'framework'),
						"id" => "tab3_title",
						"type" => "text",
						"desc" => __('If empty there is no tab', 'framework'),
						"std" => "Tab Title"
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "tab3_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('Third Tab Category', 'framework'),
						"id" => "tab3_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('Third Tab Tag', 'framework'),
						"id" => "tab3_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "tab3_posts",
						"std" => "5",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);

	$options[] = array( "name" => __('Fourth Tab', 'framework'),
						"type" => "info",
						"class" => "tabs_title min_info"
						);


	$options[] = array( "name" => __('Tab Title', 'framework'),
						"id" => "tab4_title",
						"type" => "text",
						"desc" => __('If empty there is no tab', 'framework'),
						"std" => "Tab Title"
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "tab4_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('Fourth Tab Category', 'framework'),
						"id" => "tab4_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('Fourth Tab Tag', 'framework'),
						"id" => "tab4_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "tab4_posts",
						"std" => "5",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);

	$options[] = array( "name" => __('Fifth Tab', 'framework'),
						"type" => "info",
						"class" => "tabs_title min_info"
						);


	$options[] = array( "name" => __('Tab Title', 'framework'),
						"id" => "tab5_title",
						"type" => "text",
						"desc" => __('If empty there is no tab', 'framework'),
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "tab5_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('Fifth Tab Category', 'framework'),
						"id" => "tab5_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('Fifth Tab Tag', 'framework'),
						"id" => "tab5_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "tab5_posts",
						"std" => "5",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);

	$options[] = array( "name" => __('Sixth Tab', 'framework'),
						"type" => "info",
						"class" => "tabs_title min_info"
						);


	$options[] = array( "name" => __('Tab Title', 'framework'),
						"id" => "tab6_title",
						"type" => "text",
						"desc" => __('If empty there is no tab', 'framework'),
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "tab6_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('Sixth Tab Category', 'framework'),
						"id" => "tab6_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('Sixth Tab Tag', 'framework'),
						"id" => "tab6_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "tab6_posts",
						"std" => "5",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);

	$options[] = array( "name" => __('seventh Tab', 'framework'),
						"type" => "info",
						"class" => "tabs_title min_info"
						);

	$options[] = array( "name" => __('Tab Title', 'framework'),
						"id" => "tab7_title",
						"type" => "text",
						"desc" => __('If empty there is no tab', 'framework'),
						);


	$options[] = array( "name" => __('display', 'framework'),
						"id" => "tab7_display",
						"type" => "select",
						"std" => "lates",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);


	$options[] = array( "name" => __('seventh Tab Category', 'framework'),
						"id" => "tab7_category",
						"type" => "select",
						"class" => "hide",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('seventh Tab Tag', 'framework'),
						"id" => "tab7_tag",
						"type" => "text",
						"class" => "hide",
						);
						

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "tab7_posts",
						"std" => "5",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);
						
						
						
// Home page 
		$options[] = array( "name" => __('Home page', 'framework'),
						"type" => "heading",
						"slug" => "home"
						);

	$options[] = array( "name" => __('Home page as : ', 'theme'),
						"desc" => __('Select theme layout full-width or fixed width', 'theme'),
						"id" => "theme_home",
						"std" => "nb",
						"type" => "images",
						"options" => array(
						'nb' => $imagepath . '/newsbox.png',
						'blog' => $imagepath . '/blog.png',
						));


	$options[] = array( "name" => __('Scrolling Box', 'framework'),
						"type" => "info",
						"desc" => __('Control in home page Scrolling Box, title, content and how it display', 'framework')
						);

		$options[] = array( "name" => __('show/hide Scrolling Box', 'framework'),
						"id" => "latest_video_on",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('The Title', 'framework'),
						"id" => "latest_video_title",
						"std" => 'Latest Videos',
						"type" => "text"
						);
		
		$options[] = array( "name" => __('The Content ', 'framework'),
						"id" => "latest_video_content",
						"type" => "select",
						"options" => array (
							'videos' => __('Videos', 'framework'),
							'slideshows' => __('Slideshows', 'framework')
						)
						);
		
		$options[] = array( "name" => __('Order', 'framework'),
						"id" => "latest_video_order",
						"type" => "select",
						"options" => array (
							'' => __('Latest', 'framework'),
							'rand' => __('Random', 'framework'),
							'comment_count' => __('Popular', 'framework')
						)
						);

		$options[] = array( "name" => __('Auto Scroll', 'framework'),
						"id" => "latest_video_auto",
						"type" => "checkbox",
						"std" => false
						);

	$options[] = array( "name" => __('Auto Scroll Timeout', 'framework'),
						"id" => "latest_video_auto_time",
						"std" => "5000",
						"step" => "1",
						"min" => "1000",
						"max" => "20000",
						"suffix" => "ms",
						"type" => "range",
						);

	$options[] = array( "name" => __('Scroll Speed', 'framework'),
						"id" => "latest_video_speed",
						"desc" => " The Scroll animation Speed",
						"std" => "300",
						"step" => "1",
						"min" => "200",
						"max" => "5000",
						"suffix" => "ms",
						"type" => "range",
						);

	$options[] = array( "name" => __('Count Of Items', 'framework'),
						"id" => "latest_video_count",
						"desc" => " The Scroll animation Speed",
						"std" => "50",
						"step" => "1",
						"min" => "8",
						"max" => "200",
						"suffix" => "Items",
						"type" => "range",
						);

	$options[] = array( "name" => __('News Boxes', 'framework'),
						"type" => "info",
						"desc" => __('Control in the number, content of news boxes --> <strong>Note: news box banners not work with 2 column news box</strong>', 'framework')
						);

	$options[] = array( "name" => __('Count Of Boxes', 'framework'),
						"desc" => __('the Count of boxes in Home Page', 'framework'),
						"id" => "news_boxes_count",
						"std" => "6",
						"step" => "1",
						"min" => "1",
						"max" => "10",
						"suffix" => "Boxes",
						"type" => "range",
						);

		$options[] = array( "name" => __('News Box 1', 'framework'),
						"id" => "news_box_1",
						"type" => "select",
						"options" => $options_categories
						);

// Box 1 ad

		$options[] = array( "name" => __('News Box1 banner bottom Enable', 'framework'),
						"id" => "enable_box1_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box1_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box1_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box1_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// Box1 ad
		$options[] = array( "name" => __('News Box 2', 'framework'),
						"id" => "news_box_2",
						"type" => "select",
						"options" => $options_categories
						);

// Box 2 ad

		$options[] = array( "name" => __('News box2 banner bottom Enable', 'framework'),
						"id" => "enable_box2_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box2_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box2_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box2_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// Box2 ad	
		$options[] = array( "name" => __('News Box 3', 'framework'),
						"id" => "news_box_3",
						"type" => "select",
						"options" => $options_categories
						);

// box3 ad

		$options[] = array( "name" => __('News box3 banner bottom Enable', 'framework'),
						"id" => "enable_box3_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box3_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box3_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box3_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box3 ad

		$options[] = array( "name" => __('News Box 4', 'framework'),
						"id" => "news_box_4",
						"type" => "select",
						"options" => $options_categories
						);

// box4 ad

		$options[] = array( "name" => __('News box4 banner bottom Enable', 'framework'),
						"id" => "enable_box4_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box4_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box4_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box4_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box4 ad

		$options[] = array( "name" => __('News Box 5', 'framework'),
						"id" => "news_box_5",
						"type" => "select",
						"options" => $options_categories
						);
// box5 ad

		$options[] = array( "name" => __('News box5 banner bottom Enable', 'framework'),
						"id" => "enable_box5_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box5_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box5_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box5_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box5 ad
	
		$options[] = array( "name" => __('News Box 6', 'framework'),
						"id" => "news_box_6",
						"type" => "select",
						"options" => $options_categories
						);

// box6 ad

		$options[] = array( "name" => __('News box6 banner bottom Enable', 'framework'),
						"id" => "enable_box6_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box6_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box6_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box6_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box6 ad	
		$options[] = array( "name" => __('News Box 7', 'framework'),
						"id" => "news_box_7",
						"type" => "select",
						"options" => $options_categories
						);

// box7 ad

		$options[] = array( "name" => __('News box7 banner bottom Enable', 'framework'),
						"id" => "enable_box7_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box7_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box7_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box7_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box7 ad

		$options[] = array( "name" => __('News Box 8', 'framework'),
						"id" => "news_box_8",
						"type" => "select",
						"options" => $options_categories
						);

// box8 ad

		$options[] = array( "name" => __('News box8 banner bottom Enable', 'framework'),
						"id" => "enable_box8_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box8_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box8_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box8_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box8 ad	
		$options[] = array( "name" => __('News Box 9', 'framework'),
						"id" => "news_box_9",
						"type" => "select",
						"options" => $options_categories
						);
	
// box9 ad

		$options[] = array( "name" => __('News box9 banner bottom Enable', 'framework'),
						"id" => "enable_box9_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box9_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box9_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box9_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box9 ad
		$options[] = array( "name" => __('News Box 10', 'framework'),
						"id" => "news_box_10",
						"type" => "select",
						"options" => $options_categories
						);

// box10 ad

		$options[] = array( "name" => __('News box10 banner bottom Enable', 'framework'),
						"id" => "enable_box10_ad",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "box10_ad_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						"class" => "hidden"
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "box10_ad_url",
						"type" => "text",
						"class" => "hidden"
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "box10_ad_code",
						"type" => "textarea",
						"class" => "hidden"
						);
		
// box10 ad

	$options[] = array( "name" => __('News Boxes Style', 'framework'),
						"type" => "info",
						"desc" => __('Control in News Box Style', 'framework')
						);

	$options[] = array( "name" => __('News Box style', 'theme'),
						"id" => "news_box_style",
						"std" => "default",
						"type" => "images",
						"options" => array(
						'default' => $imagepath . '/col.png',
						'double' => $imagepath . '/col2.png',
						'new' => $imagepath . '/newcol.png',
						));


		$options[] = array( "name" => __('Image Width', 'framework'),
						"id" => "news_box_img_w",
						"std" => "93",
						"step" => "1",
						"min" => "50",
						"max" => "350",
						"suffix" => "px",
						"type" => "range",

						);

		$options[] = array( "name" => __('Image Height', 'framework'),
						"id" => "news_box_img_h",
						"std" => "93",
						"step" => "1",
						"min" => "50",
						"max" => "350",
						"suffix" => "px",
						"type" => "range",

						);


		$options[] = array( "name" => __('Excerpt Character Length', 'framework'),
						"id" => "news_box_ex_l",
						"std" => "310",
						"step" => "1",
						"min" => "50",
						"max" => "2000",
						"suffix" => "Character",
						"type" => "range",

						);

	$options[] = array( "name" => __('Excerpt', 'framework'),
						"type" => "info",
						);

		$options[] = array( "name" => __('use HTML on excerpt', 'framework'),
						"id" => "html_exc",
						"std" => false,
						"type" => "checkbox"
						);


// Home page

// Social
		$options[] = array( "name" => __('Social Networks', 'framework'),
						"type" => "heading",
						"slug" => "social"
						);

		$options[] = array( "name" => __('Social Networks', 'framework'),
						"type" => "info",
						"desc" => __('Control in the bottom social icons, Paste the URL of your favorite social networks or leave empty to hide icons', 'framework')
						);

		$options[] = array( "name" => __('Top Social Icon', 'framework'),
						"id" => "top_social",
						"std" => false,
						"desc" => __('Show Social icons in top Bar instead of search box', 'framework'),
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Bottom Social Icon', 'framework'),
						"id" => "bottom_social",
						"std" => true,
						"desc" => __('the default social icons in the bottom bar if you disable this  the footer menu automatically activated', 'framework'),
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Twitter', 'framework'),
						"id" => "twitter_url",
						"type" => "text",
						"std" => "#"
						);


		$options[] = array( "name" => __('Facebook', 'framework'),
						"id" => "facebook_url",
						"std" => "#",
						"type" => "text",
						);

		$options[] = array( "name" => __('Google+', 'framework'),
						"id" => "gplus_url",
						"type" => "text",
						"std" => "#"
						);

		$options[] = array( "name" => __('Linkedin', 'framework'),
						"id" => "linkedin_url",
						"type" => "text",
						"std" => "#"
						);


		$options[] = array( "name" => __('Youtube', 'framework'),
						"id" => "youtube_url",
						"type" => "text",
						);

		$options[] = array( "name" => __('Skype Name', 'framework'),
						"id" => "skype_url",
						"type" => "text",
						);

		$options[] = array( "name" => __('Feedburner', 'framework'),
						"id" => "feedburner",
						"type" => "text",
						);

		$options[] = array( "name" => __('Flickr', 'framework'),
						"id" => "flickr_url",
						"type" => "text",
						);

		$options[] = array( "name" => __('Picasa', 'framework'),
						"id" => "picasa_url",
						"type" => "text",
						);

		$options[] = array( "name" => __('digg', 'framework'),
						"id" => "digg_url",
						"type" => "text",
						);

		$options[] = array( "name" => __('vimeo', 'framework'),
						"id" => "vimeo_url",
						"type" => "text",
						);

		$options[] = array( "name" => __('tumblr', 'framework'),
						"id" => "tumblr_url",
						"type" => "text",
						);

// End Social
// Article Elements

		$options[] = array( "name" => __('Post settings', 'framework'),
						"type" => "heading",
						"slug" => "post"
						);

		$options[] = array( "name" => __('Full Width Post', 'framework'),
						"id" => "post_full",
						"std" => false,
						"desc" => __('make all posts take the full width of the page', 'framework'),
						"type" => "checkbox"
						);
		
		$options[] = array( "name" => __('show feature image into post', 'framework'),
						"id" => "post_feature",
						"std" => false,
						"desc" => __('by default the feature image is hidden, enable this to show it', 'framework'),
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('feature image width', 'framework'),
						"id" => "post_feature_w",
						"std" => "599",
						"step" => "1",
						"min" => "250",
						"max" => "926",
						"suffix" => "px",
						"type" => "range",
						);
		
		$options[] = array( "name" => __('feature image height', 'framework'),
						"id" => "post_feature_h",
						"std" => "275",
						"step" => "1",
						"min" => "80",
						"max" => "800",
						"suffix" => "px",
						"type" => "range",
						);
		
		
		$options[] = array( "name" => __('Article Elements', 'framework'),
						"type" => "info",
						"desc" => __('Show/Hide any article Element, in home/category/article', 'framework')
						);

		$options[] = array( "name" => __('The Meta', 'framework'),
						"id" => "post_meta",
						"std" => true,
						"desc" => __('show/hide all Meta (date, comments count, posted by)', 'framework'),
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Author name', 'framework'),
						"id" => "post_an",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('The Date', 'framework'),
						"id" => "post_date",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('The Category', 'framework'),
						"id" => "post_cat",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Comments Count', 'framework'),
						"id" => "post_cc",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Author Box', 'framework'),
						"id" => "post_ab",
						"std" => true,
						"type" => "checkbox"
						);


		$options[] = array( "name" => __('Next/prev Article', 'framework'),
						"id" => "post_np",
						"std" => true,
						"type" => "checkbox"
						);


		$options[] = array( "name" => __('Related Posts', 'framework'),
						"type" => "info",
						"desc" => __('Control In related Posts, show/hide, Count of posts, Type: Tags/category, select style', 'framework')
						);

		$options[] = array( "name" => __('Enable', 'framework'),
						"id" => "related_enable",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"id" => "related_count",
						"std" => 4,
						"type" => "text"
						);


		$options[] = array( "name" => __('Related posts By:', 'framework'),
						"id" => "related_type",
						"std" => 'category',
						"type" => "select",
						"options" => array(
							'category' => __('Category', 'framework'),
							'tags' =>  __('Tags', 'framework')
						)
						);


		$options[] = array( "name" => __('Related posts Style:', 'framework'),
						"id" => "related_style",
						"std" => 'default',
						"type" => "select",
						"options" => array(
							'default' =>  __('Default (image/title)', 'framework'),
							'related_list_ul' =>  __('List', 'framework')
						)
						);



// Article Elements
//share
		$options[] = array( "name" => __('Article Share', 'framework'),
						"type" => "heading",
						"slug" => "share"
						);

		$options[] = array( "name" => __('Article Share', 'framework'),
						"type" => "info",
						"desc" => __('Enable/disable the share networks under every article', 'framework')
						);

		$options[] = array( "name" => __('Disable Share', 'framework'),
						"id" => "disable_share",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Twitter', 'framework'),
						"id" => "share_twitter",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Google+', 'framework'),
						"id" => "share_gplus",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Facebook', 'framework'),
						"id" => "share_facebook",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Linkedin', 'framework'),
						"id" => "share_linkedin",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Stumble Upon', 'framework'),
						"id" => "share_su",
						"std" => true,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Digg', 'framework'),
						"id" => "share_digg",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Evernote', 'framework'),
						"id" => "share_evernote",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Reddit', 'framework'),
						"id" => "share_reddit",
						"std" => false,
						"type" => "checkbox"
						);


		$options[] = array( "name" => __('Pin It', 'framework'),
						"id" => "share_pinit",
						"std" => false,
						"type" => "checkbox"
						);


//share

//Typography

		$options[] = array( "name" => __('Typography', 'framework'),
						"type" => "heading",
						"slug" => "typo"
						);


		$options[] = array( "name" => __('Body', 'framework'),
						"id" => "body_typo",
						"desc" => __('body text format', 'framework'),
						"type" => "typography",
						"std" => $bodytypo,
						"options" => array (
								'faces' => options_typography_get_google_fonts() ,
								'styles' => false
							)
						);


		$options[] = array( "name" => __('Headings', 'framework'),
						"type" => "info",
						);
		
		$options[] = array( "name" => __('Headings Font', 'framework'),
						"id" => "hs_font",
						"type" => "select",
						"options" =>  options_typography_get_google_fonts()
						);

		$options[] = array( "name" => __('H1', 'framework'),
						"id" => "h1_typo",
						"type" => "typography",
						"std" => $h1,
						"options" => array (
								'faces' => false,
								'styles' => false
							)
						
						);
		$options[] = array( "name" => __('H2', 'framework'),
						"id" => "h2_typo",
						"type" => "typography",
						"std" => $h2,
						"options" => array (
								'faces' => false,
								'styles' => false
							)
						
						);

		$options[] = array( "name" => __('H3', 'framework'),
						"id" => "h3_typo",
						"type" => "typography",
						"std" => $h3,
						"options" => array (
								'faces' => false,
								'styles' => false
							)
						
						);

		$options[] = array( "name" => __('H4', 'framework'),
						"id" => "h4_typo",
						"type" => "typography",
						"std" => $h4,
						"options" => array (
								'faces' => false,
								'styles' => false
							)
						
						);

		$options[] = array( "name" => __('H5', 'framework'),
						"id" => "h5_typo",
						"type" => "typography",
						"std" => $h5,
						"options" => array (
								'faces' => false,
								'styles' => false
							)
						
						);

		$options[] = array( "name" => __('H6', 'framework'),
						"id" => "h6_typo",
						"type" => "typography",
						"std" => $h6,
						"options" => array (
								'faces' => false,
								'styles' => false
							)
						
						);

		$options[] = array( "name" => __('Main Custom Font', 'framework'),
						"type" => "info",
						"desc" => __('this option for change the main custom font of goodnews theme which is "play" font from google just select any font and it will be applied on main navigation, slider title, news box title, etc ... ', 'framework')
						);

		$options[] = array( "name" => __('Main Font', 'framework'),
						"id" => "main_font",
						"type" => "select",
						'std' => "", 
						"options" =>  options_typography_get_google_fonts()
						);

							
//End Typography
//Colors

		$options[] = array( "name" => __('Colors', 'framework'),
						"type" => "heading",
						"slug" => "colors"
						);

		$options[] = array( "name" => __('Skins', 'theme'),
						"id" => "theme_skin",
						"std" => "light",
						"type" => "images",
						"options" => array(
						'light' => $imagepath . '/light.png',
						'dark' => $imagepath . '/dark.png',
						));

		$options[] = array( "name" => __('body', 'framework'),
						"type" => "info",
						"class" => "toggle body_color_tg",
						"desc" => __('Control in body background and links Color', 'framework')
						);


		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'body_bg',
						"std" => $background,
						"desc" => __('body background, can be solid color or repeated image or pattern '),
						"class" => "hide",
						"type" => "background"
						);

		$options[] = array( "name" => __('Links Color', 'framework'),
						"id" => 'links_color',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Links Color on mouseover', 'framework'),
						"id" => 'links_color_h',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Alert Bar', 'framework'),
						"type" => "info",
						"class" => "toggle alert_color_tg",
						"desc" => __('Control in Alert bar background color, Text color and Links colors', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'alertbar_bg',
						"desc" => __('Alert bar background, can be solid color or repeated image or pattern '),
						"class" => "hide",
						"type" => "background"
						);

		$options[] = array( "name" => __('Text Color', 'framework'),
						"id" => 'alertbar_tx',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Links Color', 'framework'),
						"id" => 'alertbar_links',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Links Color On mouse over', 'framework'),
						"id" => 'alertbar_linksh',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Close Icon Background Color', 'framework'),
						"id" => 'alertbar_close_bg',
						"class" => "hide",
						"type" => "color"
						);


		$options[] = array( "name" => __('Topbar & bottom-bar', 'framework'),
						"type" => "info",
						"class" => "toggle topbar_color_tg",
						"desc" => __('Control in topbar/bottom-bar background color, Text color and Search box colors', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'topbar_bg',
						"desc" => __('Topbar background, can be solid color or repeated image or pattern '),
						"class" => "hide",
						"type" => "background"
						);

		$options[] = array( "name" => __('Top navigation Text Color', 'framework'),
						"id" => 'topnav_tx',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Top navigation Text Color On Mouseover', 'framework'),
						"id" => 'topnav_tx_h',
						"class" => "hide",
						"type" => "color"
						);
		$options[] = array( "name" => __('Top navigation Drobdown Border Color', 'framework'),
						"id" => 'topnav_dd_bc',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Serchbox background Color', 'framework'),
						"id" => 'topnav_sb_bg',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Serchbox border Color', 'framework'),
						"id" => 'topnav_sb_bd',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Serchbox Text Color', 'framework'),
						"id" => 'topnav_sb_tx',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Custom search icon', 'framework'),
						"id" => 'topnav_sb_ico',
						"desc" => __('upload your custom search icon, fit with your colors 17px * 17px', 'framework'),
						"class" => "hide",
						"type" => "upload"
						);



		$options[] = array( "name" => __('Top bar border-bottom Color', 'framework'),
						"id" => 'topnav_bd_bt',
						"class" => "hide",
						"type" => "color"
						);

		$options[] = array( "name" => __('Top Social Icons background Color', 'framework'),
						"id" => 'top_social_bg',
						"class" => "hide",
						"type" => "color"
						);


		$options[] = array( "name" => __('header', 'framework'),
						"type" => "info",
						"class" => "toggle header_color_tg",
						"desc" => __('Control in header background / color, image, pattern', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'header_bg',
						"desc" => __('header background, can be solid color or repeated image or pattern '),
						"type" => "background",
						"class" => "hide",
						"std" => $background
						);

		$options[] = array( "name" => __('navigation', 'framework'),
						"type" => "info",
						"class" => "toggle nav_color_tg",
						"desc" => __('Control in navigation Colors', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'navi_bg',
						"desc" => __('navigation background, can be solid color or repeated image or pattern '),
						"std" => $background,
						"class" => "hide",
						"type" => "background",
						);

		$options[] = array( "name" => __('bottom background', 'framework'),
						"id" => 'navi_bg_bt',
						"desc" => __('navigation bottom background'),
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('borders', 'framework'),
						"id" => 'navi_bd',
						"desc" => __('navigation links borders colors'),
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Navigation bottom border color', 'framework'),
						"id" => 'navi_bt_bd',
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('Navigation links', 'framework'),
						"id" => 'navi_links',
						"desc" => __('navigation links colors'),
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Navigation links color on mouseover', 'framework'),
						"id" => 'navi_links_h',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Navigation links background on mouseover', 'framework'),
						"id" => 'navi_links_h_bg',
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('Dropdown links Color', 'framework'),
						"id" => 'navi_links_dd',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Dropdown links Color on mouseover', 'framework'),
						"id" => 'navi_links_dd_h',
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('Feature Slider, boxes', 'framework'),
						"type" => "info",
						"class" => "toggle feature_color_tg",
						"desc" => __('Control in Feature Slider Colors, if empty it take colors from widgets colors', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'feature_bg',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('borders', 'framework'),
						"id" => 'feature_bd',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Widgets, boxes', 'framework'),
						"type" => "info",
						"class" => "toggle widgets_color_tg",
						"desc" => __('Control in Sidebar Widgets Colors', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'widgets_bg',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('borders', 'framework'),
						"id" => 'widgets_bd',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Widget Title background', 'framework'),
						"id" => 'widgets_t_bg',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Widget Title Text Color', 'framework'),
						"id" => 'widgets_t_tx',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('News box', 'framework'),
						"type" => "info",
						"class" => "toggle nb_color_tg",
						"desc" => __('Control in home news box Colors and article', 'framework')
						);

		$options[] = array( "name" => __('box head/foot background color', 'framework'),
						"id" => 'nb_t_bg',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Title Color', 'framework'),
						"id" => 'nb_t_tx',
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('Dots pattern', 'framework'),
						"id" => 'nb_dots',
						"desc" => __('upload your custom dots pattern, which fit with your custom colors max height is 13px', 'framework'),
						"class" => "hide",
						"type" => "upload",
						);

		$options[] = array( "name" => __('Meta Text Color', 'framework'),
						"id" => 'article_meta',
						"desc" => __('date, author, comment ', 'framework'),
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('Meta border Color', 'framework'),
						"id" => 'article_meta_bd',
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('share backgroud', 'framework'),
						"id" => 'share_bg',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('share border', 'framework'),
						"id" => 'share_bd',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Category Title', 'framework'),
						"id" => 'cat_t_tx',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('Comments & Author Box and Related Posts', 'framework'),
						"type" => "info",
						"class" => "toggle cm_color_tg",
						"desc" => __('Control in Comment box, author box and related posts box Colors inside the article', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'comment_bg',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('borders', 'framework'),
						"id" => 'comment_bd',
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('footer', 'framework'),
						"type" => "info",
						"class" => "toggle footer_color_tg",
						"desc" => __('Control in footer colors', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'footer_bg',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('borders', 'framework'),
						"id" => 'footer_bd',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('footer widgets Title color', 'framework'),
						"id" => 'footer_w_t',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('footer text/links color', 'framework'),
						"id" => 'footer_tx',
						"class" => "hide",
						"type" => "color",
						);

		$options[] = array( "name" => __('footer text/links color on mouseover', 'framework'),
						"id" => 'footer_tx_h',
						"class" => "hide",
						"type" => "color",
						);


		$options[] = array( "name" => __('footer Social Icons', 'framework'),
						"id" => 'footer_social_icon',
						"type" => "upload",
						"class" => "hide",
						"desc" => __('download this <a href="'. $srcpath .'social_icons.psd">PSD</a> and Colorize it and save it as png then upload it from here', 'framework')
						);


 
//Colors
//banner

		$options[] = array( "name" => __('Banners setting', 'framework'),
						"type" => "heading",
						"slug" => "banner"
						);

		$options[] = array( "name" => __('Top Banner Settings', 'framework'),
						"type" => "info",
						"desc" => __('Enable and Configure a banner in header, select a static image with URL or use adsenes code', 'theme')
						);
		$options[] = array( "name" => __('Enable', 'framework'),
						"id" => "enable_banner",
						"std" => false,
						"type" => "checkbox"
						);

	$options[] = array( "name" => __('Banner size', 'theme'),
						"id" => "top_banner_size",
						"std" => "small",
						"type" => "images",
						"options" => array(
						'small' => $imagepath . '/468.png',
						'big' => $imagepath . '/728.png',
						));


		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "banner_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "banner_url",
						"type" => "text",
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "ads_code",
						"type" => "textarea",
						);


		$options[] = array( "name" => __('bottom Banner Settings', 'framework'),
						"type" => "info",
						"desc" => __('Enable and Configure a banner in the bottom of content, select a static image with URL or use adsenes code', 'theme')
						);
		$options[] = array( "name" => __('Enable', 'framework'),
						"id" => "enable_b_banner",
						"std" => false,
						"type" => "checkbox"
						);

		$options[] = array( "name" => __('Banner image', 'framework'),
						"id" => "banner_b_img",
						"desc" => __('upload banner image', 'framework'),
						"type" => "upload",
						);

		$options[] = array( "name" => __('Banner URL', 'framework'),
						"id" => "banner_b_url",
						"type" => "text",
						);


		$options[] = array( "name" => __('adsenes code', 'framework'),
						"id" => "ads_b_code",
						"type" => "textarea",
						);
	
//banner
//Feature Slide

$options[] = array( "name" => __('Feature Slider', 'framework'),
						"type" => "heading",
						"slug" => "feature"
						);

		$options[] = array( "name" => __('Enable', 'framework'),
						"id" => "feature_on",
						"type" => "checkbox",
						"std" => true
						);

	$options[] = array( "name" => __('Style', 'framework'),
						"id" => "feature_style",
						"type" => "select",
						"std" => "default",
						"options" => 
						array (
							'default' => 'Default',
							'full' => 'Full Width',
						)
						);

	$options[] = array( "name" => __('display', 'framework'),
						"id" => "feature_display",
						"type" => "select",
						"std" => "category",
						"options" => 
						array (
							'lates' => 'Latest Posts',
							'category' => 'Category',
							'tag' 	=> 'Tag'
						)
						);

	$options[] = array( "name" => __('Feature Category', 'framework'),
						"id" => "feature_category",
						"type" => "select",
						"class" => "hidden",
						"options" => $options_categories
						);

	$options[] = array( "name" => __('Feature Tag', 'framework'),
						"id" => "feature_tag",
						"type" => "text",
						"class" => "hidden",
						"std" => "slider"
						);

	$options[] = array( "name" => __('Animation & Effects', 'framework'),
						"type" => "info",
						);

	$options[] = array( "name" => __('Effect', 'framework'),
						"desc" => __('name of transition effect', 'framework'),
						"id" => "cycle_effect",
						"std" => "fade",
						"type" => "select",
						"options" => $cycle_effects
						);

	$options[] = array( "name" => __('easing', 'framework'),
						"desc" => __('easing method for transitions <a href="http://ralphwhitbeck.com/demos/jqueryui/effects/easing/">more info</a>', 'framework'),
						"id" => "cycle_ease",
						"std" => "easeInOutBack",
						"type" => "text"
						);

	$options[] = array( "name" => __('Speed', 'framework'),
						"desc" => __('speed of the transition', 'framework'),
						"id" => "cycle_speed",
						"std" => "300",
						"step" => "1",
						"min" => "200",
						"max" => "5000",
						"suffix" => "ms",
						"type" => "range",
						);

	$options[] = array( "name" => __('timeout', 'framework'),
						"desc" => __('milliseconds between slide transitions', 'framework'),
						"id" => "cycle_timeout",
						"std" => "5000",
						"step" => "1",
						"min" => "500",
						"max" => "20000",
						"suffix" => "ms",
						"type" => "range",
						);


// End Feature

// Ctaegory
$options[] = array( "name" => __('Category page', 'framework'),
						"type" => "heading",
						"slug" => "cat"
				);

		$options[] = array( "name" => __('Enable Feature Slider', 'framework'),
						"id" => "cat_feature_on",
						"type" => "checkbox",
						"std" => false
						);

	
	$options[] = array( "name" => __('Feature Slider Style', 'framework'),
						"id" => "feature_cat_style",
						"type" => "select",
						"std" => "default",
						"options" => 
						array (
							'default' => 'Default',
							'full' => 'Full Width',
						)
						);


		$options[] = array( "name" => __('Enable Latest video box', 'framework'),
						"id" => "cat_lv_on",
						"type" => "checkbox",
						"std" => false
						);

		$options[] = array( "name" => __('Hide Share Buttons', 'framework'),
						"id" => "cat_share_on",
						"type" => "checkbox",
						"std" => false
						);
											
//category 
//New Ticker

$options[] = array( "name" => __('News Ticker', 'framework'),
						"type" => "heading",
						"slug" => "ticker"
				);

		$options[] = array( "name" => __('Enable', 'framework'),
						"id" => "ticker_on",
						"type" => "checkbox",
						"std" => false
						);

	$options[] = array( "name" => __(' Display : (latest / category) ', 'framework'),
						"id" => "ticker_display",
						"type" => "select",
						"options" => array(
							'latest' => 'Latest',
							'category' => 'Category',
							'custom' => 'Custom Text'
						)
						);

	$options[] = array( "name" => __('ticker Category', 'framework'),
						"id" => "ticker_category",
						"type" => "select",
						"class" => "hidden",
						"options" => $options_categories

						);

						$options[] = array( "name" => __('Insert Custom Text, one Sentence per line', 'framework'),
						"id" => "ticker_custom",
						"type" => "textarea",
						"class" => "hidden",

						);

	$options[] = array( "name" => __('Number Of Posts', 'framework'),
						"desc" => __('Number Of Posts in News Ticker', 'framework'),
						"id" => "ticker_posts",
						"std" => "10",
						"step" => "1",
						"min" => "1",
						"max" => "50",
						"suffix" => "posts",
						"type" => "range",
						);


		$options[] = array( "name" => __('Colors', 'framework'),
						"type" => "info",
						"desc" => __('Control in news Ticker Colors', 'framework')
						);

		$options[] = array( "name" => __('background', 'framework'),
						"id" => 'nt_bg',
						"type" => "color",
						);

		$options[] = array( "name" => __('borders', 'framework'),
						"id" => 'nt_bd',
						"type" => "color",
						);

		$options[] = array( "name" => __('arrow image', 'framework'),
						"id" => 'nt_arrow',
						"type" => "upload",
						);


		$options[] = array( "name" => __('text', 'framework'),
						"id" => 'nt_font',
						"type" => "typography",
						"std" => array (
							'size' => '13px',
						),
						"options" => array (
							"faces" => false,
							"styles" => false
						)

						);
		$options[] = array( "name" => __('Text color on hover', 'framework'),
						"id" => 'nt_text_h',
						"type" => "color",
						);

		$options[] = array( "name" => __('" &raquo; " color', 'framework'),
						"id" => 'nt_da',
						"type" => "color",
						);


// End New Ticker
//Contact Forms 
$options[] = array( "name" => __('Contact Forms', 'framework'),
						"type" => "heading",
						"slug" => "contact"
						);

	$options[] = array( "name" => __('Recipient Email', 'framework'),
						"id" => "contact_email",
						"type" => "text",
						);


//footer
		$options[] = array( "name" => __('Footer', 'theme'),
						"type" => "heading",
						"slug" => "footer"
						);
			
		
	$options[] = array( "name" => __('Layout', 'theme'),
						"desc" => __('Select Footer layout', 'theme'),
						"id" => "footer_layout",
						"std" => "fourth",
						"type" => "images",
						"options" => array(
						'one' => $imagepath . '/footer/1.png',
						'one_half' => $imagepath . '/footer/2.png',
						'third' => $imagepath . '/footer/3.png',
						'fourth' => $imagepath . '/footer/4.png',
						'fifth' => $imagepath . '/footer/5.png',
						'sixth' => $imagepath . '/footer/6.png',
						'half_twop' => $imagepath . '/footer/half_twop.png',
						'twop_half' => $imagepath . '/footer/twop_half.png',
						'half_threep' => $imagepath . '/footer/half_threep.png',
						'threep_half' => $imagepath . '/footer/threep_half.png',
						'third_threep' => $imagepath . '/footer/third_threep.png',
						'threep_third' => $imagepath . '/footer/threep_third.png',
						'third_fourp' => $imagepath . '/footer/third_fourp.png',
						'fourp_third' => $imagepath . '/footer/fourp_third.png'
						));

//Custom CSS 
$options[] = array( "name" => __('Custom CSS', 'framework'),
						"type" => "heading",
						"slug" => "css"
						);


$options[] = array( "name" => __('Custom CSS', 'framework'),
						"type" => "info",
						"desc" => __('Add Your Custom CSS', 'theme')
						);

$options[] = array( "name" => __('Custom CSS', 'framework'),
						"id" => "c_css",
						"type" => "textarea",
						);

$options[] = array( "name" => __('Custom CSS For device with 768px width like ipad', 'framework'),
						"id" => "custom_768_css",
						"type" => "textarea",
						);

$options[] = array( "name" => __('Custom CSS For device with 480px width like Landscape phones', 'framework'),
						"id" => "custom_480_css",
						"type" => "textarea",
						);

$options[] = array( "name" => __('Custom CSS For device with 320px width like iPhones', 'framework'),
						"id" => "custom_320_css",
						"type" => "textarea",
						);

//Seo
$options[] = array( "name" => __('SEO', 'framework'),
						"type" => "heading",
						"slug" => "seo"
						);


$options[] = array( "name" => __('Enable SEO', 'framework'),
						"id" => "enable_seo",
						"desc" => __('Enable Meta descriptions and keywords, you can disable it if you use any seo plugins such as All in one seo', 'framework'),
						"std" => true,
						"type" => "checkbox",
						);

$options[] = array( "name" => __('Keywords', 'framework'),
						"desc" => __('Add you keywords saperate each keyword with comma', 'framework'),
						"id" => "keywords",
						"type" => "text"
						);

                                                
	return $options;
}